#!/bin/sh

echo "post-install"

# App Central extend timeout, but the timeout seems be counted from post-install, not pre-install, so move "docker pull" to post-install.

docker pull pydio/cells:latest

echo "Completed docker pull"


CONTAINER_TEST=$(docker container ls -a | grep PydioCells | awk '{print $1}')

if [ ! -z $CONTAINER_TEST ]; then
	docker rm -f $CONTAINER_TEST
fi


docker create -i -t --name=PydioCells \
	-p 33380:8080 -p 33060:33060 \
	-e CELLS_BIND=:8080 \
	-v /etc/localtime:/etc/localtime:ro \
	-v /share/Docker/PydioCells/cells:/var/cells:rw \
	--restart unless-stopped \
	pydio/cells:latest
  	
docker start PydioCells


case "$APKG_PKG_STATUS" in
	install)
		;;
	upgrade)
		oldim=$(docker images | grep pydio/cells | grep none | awk '{print $3}')
		echo $oldim
		
		if [ ! -z $oldim ]; then 
			docker rmi -f $oldim
		fi
		;;
	*)
		;;
esac

exit 0
